Subject: Re: bug#75910: 31; Deprecate minibuffer-completing-file-name

From: Björn Bidar <[email-masked]>
Date: Thu, 30 Jan 2025 08:51:13 +0200

Daniel Mendler via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <[email-masked]> writes:

> The deprecation of `minibuffer-completing-file-name' is just
> one step in the transition to the category mechanism. As I have
> mentioned the variable `minibuffer-completing-symbol' had been
> deprecated and has even been removed already.

Would it be better to first a discussion on what to transition too
before talking about deprecation of this variable?